CircularReferenceException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.taxa.CircularReferenceException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.taxa
Class CircularReferenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.taxa.CircularReferenceException

All Implemented Interfaces:
  Serializable

Deprecated. replaced by classes in `org.biojavax.bio.taxa`

    public class CircularReferenceException

extends BioException

See Also:
  Serialized Form

Constructor Summary
`CircularReferenceException()` Deprecated.
`CircularReferenceException(String message)` Deprecated.
`CircularReferenceException(Throwable cause)` Deprecated.
`CircularReferenceException(Throwable cause, String message)` Deprecated.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CircularReferenceException

    public CircularReferenceException()

  Deprecated.

### CircularReferenceException

    public CircularReferenceException(Throwable cause)

  Deprecated.

### CircularReferenceException

    public CircularReferenceException(String message)

  Deprecated.

### CircularReferenceException

    public CircularReferenceException(Throwable cause,
                                      String message)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD